using System;

namespace InABox.Core
{
    public class ImageDocumentLink : EntityLink<Document>
    {
        [ImageDocumentEditor]
        [Caption("")]
        public override Guid ID { get; set; }

        [SecondaryIndex]
        [TextBoxEditor(Visible = Visible.Default, Editable = Editable.Hidden)]
        public string FileName { get; set; }

        public override string ToString()
        {
            return FileName;
        }
    }
}